## com.lowagie.toolbox.plugins
Class ImageXRefViewer

    java.lang.Object
      com.lowagie.toolbox.AbstractTool
          com.lowagie.toolbox.plugins.ImageXRefViewer

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class ImageXRefViewer

extends AbstractTool

Allows you to inspect the Image XObjects inside a PDF file.

Since:
  2.1.1 (imported from itexttoolbox project)

Nested Class Summary
`(package private) class` `ImageXRefViewer.SpinnerListener`

Field Summary
`(package private) javax.swing.JPanel` `image_panel` The panel that will show the images.
`(package private) javax.swing.JSpinner` `jSpinner` The spinner that will allow you to select an image.
`(package private) java.awt.CardLayout` `layout` The layout with the images.
`(package private) int` `total_number_of_pictures` The total number of pictures inside the PDF.

Fields inherited from class com.lowagie.toolbox.AbstractTool
`arguments, internalFrame, MENU_EXECUTE, MENU_EXECUTE_PRINT, MENU_EXECUTE_PRINT_SILENT, MENU_EXECUTE_SHOW, menuoptions, versionsarray`

Constructor Summary
`ImageXRefViewer()` Creates a ViewImageXObjects object.

Method Summary
`protected void` `createFrame()` Creates the internal frame.
`void` `execute()` Executes the tool (in most cases this generates a PDF file).
`protected java.io.File` `getDestPathPDF()` Gets the PDF file that should be generated (or null if the output isn't a PDF file).
`static void` `main(java.lang.String[] args)` Shows the images that are in the PDF as Image XObjects.
`void` `propertyChange(javax.swing.event.ChangeEvent evt)` Reflects the change event in the JSpinner object.
`void` `valueHasChanged(AbstractArgument arg)` Indicates that the value of an argument has changed.

Methods inherited from class com.lowagie.toolbox.AbstractTool
`actionPerformed, addVersion, getArguments, getInternalFrame, getMenubar, getUsage, getValue, setArguments, setInternalFrame, setMainArguments, setMenubar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### total_number_of_pictures

    int total_number_of_pictures

  The total number of pictures inside the PDF.

### jSpinner

    javax.swing.JSpinner jSpinner

  The spinner that will allow you to select an image.

### image_panel

    javax.swing.JPanel image_panel

  The panel that will show the images.

### layout

    java.awt.CardLayout layout

  The layout with the images.

Constructor Detail

### ImageXRefViewer

    public ImageXRefViewer()

  Creates a ViewImageXObjects object.

Method Detail

### getDestPathPDF

    protected java.io.File getDestPathPDF()
                                   throws java.lang.InstantiationException

  Description copied from class: `AbstractTool`
  Gets the PDF file that should be generated (or null if the output isn't a PDF file).

  Specified by:
    `getDestPathPDF` in class `AbstractTool`
  Returns:
    File
  Throws:
    `java.lang.InstantiationException`
  See Also:
    `AbstractTool.getDestPathPDF()`

### createFrame

    protected void createFrame()

  Description copied from class: `AbstractTool`
  Creates the internal frame.

  Specified by:
    `createFrame` in class `AbstractTool`
  See Also:
    `AbstractTool.createFrame()`

### valueHasChanged

    public void valueHasChanged(AbstractArgument arg)

  Description copied from class: `AbstractTool`
  Indicates that the value of an argument has changed.

  Specified by:
    `valueHasChanged` in class `AbstractTool`
  Parameters:
    `arg` - StringArgument
  See Also:
    `AbstractTool.valueHasChanged(com.lowagie.toolbox.arguments.AbstractArgument)`

### propertyChange

    public void propertyChange(javax.swing.event.ChangeEvent evt)

  Reflects the change event in the JSpinner object.

  Parameters:
    `evt` - ChangeEvent

### main

    public static void main(java.lang.String[] args)

  Shows the images that are in the PDF as Image XObjects.

  Parameters:
    `args` - String[]

### execute

    public void execute()

  Description copied from class: `AbstractTool`
  Executes the tool (in most cases this generates a PDF file).

  Specified by:
    `execute` in class `AbstractTool`
  See Also:
    `AbstractTool.execute()`

Hosted by Hostbasket